'use strict';

const core = require('./core-0f211bec.js');

const ElementQuestionBase = (props, children) => {
    const { question, required } = props;
    return [
        core.h("bce-input", Object.assign({ type: "textarea" }, question, { compact: true })),
        ...children,
        core.h("bce-input", Object.assign({ type: "switch" }, required))
    ];
};

exports.ElementQuestionBase = ElementQuestionBase;
